> ## Documentation Index
> Fetch the complete documentation index at: https://platform.perso.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Background Image

> Create a new background image.



## OpenAPI

````yaml /specs/openapi-interactive.json post /api/v1/background_image/
openapi: 3.0.3
info:
  title: Perso Interactive API
  version: 0.0.0
servers:
  - url: https://platform.perso.ai
security: []
tags:
  - name: Embed
paths:
  /api/v1/background_image/:
    post:
      tags:
        - Session Resources
      summary: Create Background Image
      description: Create a new background image.
      operationId: v1_background_image_create
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BackgroundImageRequest'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/BackgroundImageRequest'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/BackgroundImageRequest'
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BackgroundImage'
          description: ''
        '400':
          description: Bad Request - Invalid input data or parameters.
        '401':
          description: Unauthorized - Invalid or missing authentication credentials.
        '403':
          description: Forbidden - You do not have permission to perform this action.
        '500':
          description: Internal Server Error - An unexpected error occurred.
      security:
        - PersoPlatform-APIKey: []
        - {}
components:
  schemas:
    BackgroundImageRequest:
      type: object
      properties:
        title:
          type: string
          minLength: 1
          maxLength: 100
        image:
          type: string
          format: binary
          description: Image file to use as the session background (PNG/JPEG).
      required:
        - image
        - title
    BackgroundImage:
      type: object
      properties:
        backgroundimage_id:
          type: string
          readOnly: true
        title:
          type: string
          maxLength: 100
        image:
          type: string
          format: uri
          description: Image file to use as the session background (PNG/JPEG).
        created_at:
          type: string
          format: date-time
          readOnly: true
      required:
        - backgroundimage_id
        - created_at
        - image
        - title
  securitySchemes:
    PersoPlatform-APIKey:
      type: apiKey
      in: header
      name: PersoPlatform-APIKey

````